# Effects

Class in [Yarn.Unity](/2.1/api/csharp/yarn.unity.md)

Inherits from `System.Object`

## Summary

Contains coroutine methods that apply visual effects. This class is used by [LineView](/2.1/api/csharp/yarn.unity/yarn.unity.lineview.md) to handle animating the presentation of lines.

```csharp
public static class Effects
```

## Classes

| Name                                                                                                                   | Description                                                                         |
| ---------------------------------------------------------------------------------------------------------------------- | ----------------------------------------------------------------------------------- |
| [CoroutineInterruptToken](/2.1/api/csharp/yarn.unity/yarn.unity.effects/yarn.unity.effects.coroutineinterrupttoken.md) | An object that can be used to signal to a coroutine that it should terminate early. |

## Methods

| Name                                                                                                                                               | Description                                                                                                                                        |
| -------------------------------------------------------------------------------------------------------------------------------------------------- | -------------------------------------------------------------------------------------------------------------------------------------------------- |
| [FadeAlpha(CanvasGroup,float,float,float,CoroutineInterruptToken)](/2.1/api/csharp/yarn.unity/yarn.unity.effects/yarn.unity.effects.fadealpha.md)  | A coroutine that fades a `CanvasGroup` object's opacity from `from` to `to` over the course of `fadeTime` seconds, and then invokes `onComplete` . |
| [Typewriter(TextMeshProUGUI,float,Action,CoroutineInterruptToken)](/2.1/api/csharp/yarn.unity/yarn.unity.effects/yarn.unity.effects.typewriter.md) | A coroutine that gradually reveals the text in a `TextMeshProUGUI` object over time.                                                               |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.yarnspinner.dev/2.1/api/csharp/yarn.unity/yarn.unity.effects.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
